#include "int_test.h"
#include "SM_GeneralWrapper.h"
#include "dpc_sm/executable.h"


void setup_test()
{
	// Logger for wrapper
	// ara headers must be added
	ara::log::InitLogging("DPC", "SM_TEST", ara::log::LogLevel::kVerbose, (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));

	ara::log::Logger &mainLog { ara::log::CreateLogger("main", "sm sample context", ara::log::LogLevel::kVerbose) };

	mainLog.LogInfo() << "Let's produce some sm data...";
	GeneralWrapper gw(mainLog);
	//dpc::SM4Decision data;
	//uint16_t counter = 0;
	while(1)
	{
		//counter++;
		//data.sm_lfcmfrtavlbhvr = counter;
		//gw._SM2Decision_PubWrapper.s.SetData(data);
		gw._SM2Decision_Provide.Publish();
		std::this_thread::sleep_for(std::chrono::milliseconds(300));
	}
}
